package com.logicbig.example;

import org.springframework.data.repository.CrudRepository;
import java.util.List;

public interface EmployeeRepository extends CrudRepository<Employee, Long> {
    List<EmployeeInfo> findBy();
    List<EmployeeInfo> findBySalaryBetween(int salaryMin, int salaryMax);
    List<EmployeeInfo> findByDepartmentLocation(String location);
}